Subject: Anonymous Upload problems

From: Ron Crisco <[email-masked]>
Date: Tue, 02 Jul 1996 14:17:37 -0500

I installed the wu-ftp 2.4 server on FreeBSD 2.2 and I'm having some
problems with anonymous FTP. I am trying to set up the incoming directory so
that it will accept uploads only and not downloads. The upload lines in the
ftpaccess file seem to be ignored. Directories *can* be created in incoming
and the permissions of the files created are 644. Any assistance would be
greatly appreciated.
Ron Crisco
[email-masked]

from ftpaccess
--------------
# all the following default to "yes" for everybody
delete          no      guest,anonymous # delete permission?
overwrite       no      guest,anonymous # overwrite permission?
rename          no      guest,anonymous # rename permission?
chmod           no      real,guest,anonymous   # chmod permission?
umask           no      real,guest,anonymous    # umask permission?

# specify the upload directory information
upload  /usr2/ftp  /pub/incoming    yes     ftp    ftpadmin   0770 nodirs
#upload  /usr2/ftp  *           no
upload  /usr2/ftp  /bin          no
upload  /usr2/ftp  /etc          no
-----------------------

/usr2/ftp is the ~ftp directory

---

From: Chris Hamilton <[email-masked]>
Date: Tue, 2 Jul 1996 14:48:01 -0500 (CDT)

> that it will accept uploads only and not downloads. The upload lines in the

<snip> 

Did you try setting the permissions of your "incoming" directory to 300?
This would prevent anyone for seeing a listing of the files there.  Of 
course, they could still download any file whose name they already 
knew...